using SqlSugar;
using System;
using YIJIYI.Core.Common.Helper;

namespace New_College.Model.Models
{
    /// <summary>
    /// 带创建人BaseModel
    /// </summary>
    public partial class RootEntity
    {
        /// <summary>
        /// ID
        /// </summary>
        [SugarColumn(IsNullable = false, IsPrimaryKey = true, IsIdentity = true)]
        public int Id { get; set; }


        /// <summary>
        ///排序
        /// </summary>
        public int OrderSort { get; set; } 

        /// <summary>
        /// 创建ID
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public int? CreateId { get; set; }
        /// <summary>
        /// 创建者
        /// </summary>
        [SugarColumn(ColumnDataType = "nvarchar", Length = 50, IsNullable = true)]
        public string CreateBy { get; set; }
        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public DateTime? CreateTime { get; set; } =TimeUtil.GetCstDateTime();
        /// <summary>
        /// 修改ID
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public int? ModifyId { get; set; }
        /// <summary>
        /// 修改者
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public string ModifyBy { get; set; }
        /// <summary>
        /// 修改时间
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public DateTime? ModifyTime { get; set; } = TimeUtil.GetCstDateTime();

        /// <summary>
        /// 是否删除
        /// </summary>
        public bool IsDelete { get; set; }

    }

    /// <summary>
    /// 不带创建人BaseModel
    /// </summary>
    public partial class EntityModel
    {

        /// <summary>
        /// ID
        /// </summary>
        [SugarColumn(IsNullable = false, IsPrimaryKey = true, IsIdentity = true)]
        public int Id { get; set; }


        /// <summary>
        ///排序
        /// </summary>
        public int OrderSort { get; set; } 
 
 
        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public DateTime? CreateTime { get; set; } = TimeUtil.GetCstDateTime();
        /// <summary>
        /// <summary>
        /// 修改时间
        /// </summary>
        [SugarColumn(IsNullable = true)]
        public DateTime? ModifyTime { get; set; } = TimeUtil.GetCstDateTime();

        /// <summary>
        /// 是否删除
        /// </summary>
        public bool IsDelete { get; set; }

    }

}